Subject: RE: Programming COM interfaces with C++
From: "Araujo, Isaque G." <[email-masked]>
To: "'M. R. Brown'" <[email-masked]>, "Araujo, Isaque G." <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Sep 1999 10:02:42 -0300

Well, I downloaded the files from this site, but when I try to compile, it
gives:
C:\GCC-2.95\src\comexample2>make
c++  -c  -Id:/src/w32api/include  -g -fvtable-thunks  cmpnt.cpp -o cmpnt.o
c++  -c  -Id:/src/w32api/include  -g -fvtable-thunks  guids.cpp -o guids.o
c++  -c  -Id:/src/w32api/include  -g -fvtable-thunks  registry.cpp -o
registry.o

dllwrap --driver-name c++  --dlltool-name dlltool --as as --entry
__cygwin_noncy
gwin_dll_entry@12 -o cmpnt.dll cmpnt.o guids.o registry.o  \
  --def cmpnt.gnu.def -Ld:/src/w32api/lib -lole32 -luuid
ld: warning: cannot find entry symbol __cygwin_noncygwin_dll_entry@12;
defaultin
g to 6e381000
ld: warning: cannot find entry symbol __cygwin_noncygwin_dll_entry@12;
defaultin
g to 6e381000
ld: warning: cannot find entry symbol __cygwin_noncygwin_dll_entry@12;
defaultin
g to 6e381000
c++  -c  -Id:/src/w32api/include  -g -fvtable-thunks  client.cpp -o client.o
c++  -o client.exe client.o guids.o -Ld:/src/w32api/lib -lole32 -luuid

C:\GCC-2.95\src\comexample2>

Any help ?

 /H\j                                [email-masked]
(=U=)                                           55-11-3741-3510
 '-'                                Sistema Empresa / SIAL 2000

> -----Original Message-----
> From:	M. R. Brown [SMTP:[email-masked]]
> Sent:	Wednesday, September 29, 1999 12:49 PM
> To:	Araujo, Isaque G.
> Cc:	[email-masked]
> Subject:	Re: Programming COM interfaces with C++
> 
> Goto Mumit Khan's ftp site
> ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin/misc/ and you will
> find what you're looking for.  I haven't really had a chance to play with
> them, so I couldn't tell you any caveats (if any).
> 
> Marcus
> 
> 
> On Wed, 29 Sep 1999, Araujo, Isaque G. wrote:
> 
> > Hi, I found this on cygwin site:
> > >>
> > gcc 2.95
> > Mumit has made this build of gcc 2.95 for Cygwin available for people to
> > use. This is the first release of the newly merged egcs and gcc
> projects. It
> > is meant to replace the b20.1 compiler so the pathnames are compatible
> with
> > b20.1. New features include support for doing COM interfaces in C++,
> > anonymous structs/unions in C, anonymous structs in C++, a new
> > -fnative-struct flag that makes gcc lay out bitfields exactly as MSVC
> does,
> > and other improvements and bug fixes. July 31 1999, Mumit Khan
> > <<
> > Where are information/documentation/tutorial whatever about how compile
> > these COM interfaces ?
> > I've looking for it on egcs.cygnus.com, www.gnu.org, www.gcc.org,...,
> > Mumit's Homepage and nothing.
> > 
> > Please somebody help me !
> > Thank you.
> > 
> >  /H\j                                [email-masked]
> > (=U=)                                           55-11-3741-3510
> >  '-'                                Sistema Empresa / SIAL 2000
> > 
> > 
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> > 
> > 
> > 
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]